/**
 * @author Richard Eric M. Lope (Relminator)
 * http://rel.phatcode.net
 *
 */

package net.phatcode.rel.gameframework;


public class BehaviorLinear extends Behavior
{

	public BehaviorLinear()
	{
		
	}

	@Override
	public void update( Entity entity )
	{
		entity.velocity.set(entity.direction);
		entity.velocity.scale( entity.speed );
		entity.velocity.add( entity.gravity );
		entity.position.add( entity.velocity );
	}

}
